4Suite™ API Documentation

# ► Module Ft.Server.Client.Core

Functions: GetRepository |  |  |  | Fields: FTRPC_HOST, FTRPC_PORT

## Modules

AliasClient | #import os, cPickle, sys, cStringIO
CommandClient |
ContainerClient | 4Suite: an open-source platform for XML and RDF processing.
DocumentDefinitionClient | 4Suite server document definitions: contain system and user metadata for managed documents WWW: http://4suite.org e-mail: support@4suite.org
GroupClient |
GroupableObjectMixin |
ModelClient | #from Ft.Server.Common import ResourceTypes, Schema, AclConstants
ObjectCache |
RawFileClient |
RdfDocumentClient |
RepositoryClient |
ResourceMetaDataClient | ResourceMetaData repository resource client class.
SchematronDocumentClient |
ServerClient |
UriReferenceFileClient |
UserClient |
Util |
XPathDocumentDefinitionClient | 4Suite server document definitions: contain system and user metadata for managed documents WWW: http://4suite.org e-mail: support@4suite.org
XmlDocumentClient |
XsltDocumentClient |
XsltDocumentDefinitionClient |

## Functions

GetRepository(userName, passwdHash, host, port)

## Fields

FTRPC_HOST = 'localhost'
FTRPC_PORT = 8803